
# Phillips Hue

Hue supports the following discoverability methods (roughly in order of preference):

- UPnP
- N-UPnP
- IP Scan
- Manual IP Entry
- mDNS (only Hue bridge V2+)

More details:

https://developers.meethue.com/develop/application-design-guidance/hue-bridge-discovery/

Partly visualised here:

![Hue Discovery Order](hue-discover.png)

---

## UPnP

The UPnP support for the Hue bridge is fairly terse.

It only supports Basic Device V1.0 (or so it seems) device type. Sample response:

```xml
<?xml version="1.0" encoding="UTF-8" ?>
<root xmlns="urn:schemas-upnp-org:device-1-0">
    <specVersion>
        <major>1</major>
        <minor>0</minor>
    </specVersion>
    <URLBase>http://192.168.1.163:80/</URLBase>
    <device>
        <deviceType>urn:schemas-upnp-org:device:Basic:1</deviceType>
        <friendlyName>Philips hue (192.168.1.163)</friendlyName>
        <manufacturer>Signify</manufacturer>
        <manufacturerURL>http://www.philips-hue.com</manufacturerURL>
        <modelDescription>Philips hue Personal Wireless Lighting</modelDescription>
        <modelName>Philips hue bridge 2015</modelName>
        <modelNumber>BSB002</modelNumber>
        <modelURL>http://www.philips-hue.com</modelURL>
        <serialNumber>ecb5fa01238</serialNumber>
        <UDN>uuid:2f402f80-da50-ede-9b23-ecb5fa011828</UDN>
        <presentationURL>index.html</presentationURL>
        <iconList>
            <icon>
                <mimetype>image/png</mimetype>
                <height>48</height>
                <width>48</width>
                <depth>24</depth>
                <url>hue_logo_0.png</url>
            </icon>
        </iconList>
    </device>
</root>
```


