
## SSDP

See examples.

## mDNS

---

### Philips Hue - Hue

#### Raw output

``` 
PTR Record: [PtrResourceRecord{_hue._tcp.local, validUntil: 2021-01-10 15:07:24.862, domainName: Philips Hue - 011828._hue._tcp.local}]
Srv Record: [SrvResourceRecord{Philips Hue - 011828._hue._tcp.local, validUntil: 2021-01-10 13:54:24.864, target: Philips-hue.local, port: 443, priority: 0, weight: 0}]
IPAddress Record: [IPAddressResourceRecord{Philips-hue.local, validUntil: 2021-01-10 13:54:24.864, address: InternetAddress('192.168.1.163', IPv4)}]
Txt Record: [TxtResourceRecord{Philips Hue - 011828._hue._tcp.local, validUntil: 2021-01-10 15:07:24.863, text: bridgeid=ecb5fafffe011828
modelid=BSB002
}]
```

#### Resolved service location

```
Philips-hue.local:443
192.168.1.163:443
```

---

### Philips Hue - HAP

#### Raw output

``` 
PTR Record: [PtrResourceRecord{_hap._tcp.local, validUntil: 2021-01-10 15:07:45.127, domainName: Philips hue - 011828._hap._tcp.local}]
Srv Record: [SrvResourceRecord{Philips hue - 011828._hap._tcp.local, validUntil: 2021-01-10 13:54:45.127, target: Philips-hue.local, port: 8080, priority: 0, weight: 0}]
IPAddress Record: [IPAddressResourceRecord{Philips-hue.local, validUntil: 2021-01-10 13:54:45.127, address: InternetAddress('192.168.1.163', IPv4)}]
Txt Record: [TxtResourceRecord{Philips hue - 011828._hap._tcp.local, validUntil: 2021-01-10 15:07:45.127, text: c#=41
ff=1
id=CB:54:C7:27:66:B5
md=BSB002
pv=1.1
sf=1
s#=3
ci=2
}]
```

#### Resolved service location

```
Philips-hue.local:8080
192.168.1.163:8080
```

---

### Spotify Connect

#### Raw output

``` 
PTR Record: [PtrResourceRecord{_spotify-connect._tcp.local, validUntil: 2021-01-10 15:08:05.403, domainName: SpZc-AA5440._spotify-connect._tcp.local}]
Srv Record: [SrvResourceRecord{SpZc-AA5440._spotify-connect._tcp.local, validUntil: 2021-01-10 13:55:05.404, target: PS5-AA5440.local, port: 41800, priority: 0, weight: 0}]
IPAddress Record: [IPAddressResourceRecord{PS5-AA5440.local, validUntil: 2021-01-10 13:55:05.404, address: InternetAddress('192.168.1.173', IPv4)}]
Txt Record: [TxtResourceRecord{SpZc-AA5440._spotify-connect._tcp.local, validUntil: 2021-01-10 15:08:05.404, text: CPath=/spConn
```

#### Resolved service location

```
PS5-AA5440.local:41800/spConn
http://192.168.1.173:41800/spConn
```

---

### Companion Link

#### Raw output

``` 
PTR Record: [PtrResourceRecord{_companion-link._tcp.local, validUntil: 2021-01-10 15:07:55.266, domainName: Jennie’s iMac._companion-link._tcp.local}]
Srv Record: [SrvResourceRecord{Jennie’s iMac._companion-link._tcp.local, validUntil: 2021-01-10 13:54:55.269, target: Jennies-iMac.local, port: 59190, priority: 0, weight: 0}]
IPAddress Record: [IPAddressResourceRecord{Jennies-iMac.local, validUntil: 2021-01-10 13:54:55.269, address: InternetAddress('192.168.1.168', IPv4)}]
Txt Record: [TxtResourceRecord{Jennie’s iMac._companion-link._tcp.local, validUntil: 2021-01-10 15:07:55.269, text: rpBA=B5:FA:6E:05:46:8B
rpAD=58394d7c418d
rpFl=0x20000
rpHN=f1f66604b6ee
rpVr=195.2
}]
```

#### Resolved service location

```
Jennies-iMac.local:59190
http://192.168.1.168:59190
```

#### Related / Misc

 - [https://apple.stackexchange.com/questions/345597/what-are-all-these-tvos-services/345859#345859](https://apple.stackexchange.com/questions/345597/what-are-all-these-tvos-services/345859#345859)

---

### Chromecast 

#### Raw output

``` 
PTR Record: [PtrResourceRecord{_googlecast._tcp.local, validUntil: 2021-01-10 13:54:55.572, domainName: Chromecast-d7447a8f40a0d41c5a129bb8d9d4fa9c._googlecast._tcp.local}]
Srv Record: [SrvResourceRecord{Chromecast-d7447a8f40a0d41c5a129bb8d9d4fa9c._googlecast._tcp.local, validUntil: 2021-01-10 13:54:55.572, target: d7447a8f-40a0-d41c-5a12-9bb8d9d4fa9c.local, port: 8009, priority: 0, weight: 0}]
IPAddress Record: [IPAddressResourceRecord{d7447a8f-40a0-d41c-5a12-9bb8d9d4fa9c.local, validUntil: 2021-01-10 13:54:55.573, address: InternetAddress('192.168.1.165', IPv4)}]
Txt Record: [TxtResourceRecord{Chromecast-d7447a8f40a0d41c5a129bb8d9d4fa9c._googlecast._tcp.local, validUntil: 2021-01-10 15:07:55.572, text: id=d7447a8f40a0d41c5a129bb8d9d4fa9c
cd=41A97347E70149AE09514B927D06E3BB
rm=
ve=05
md=Chromecast
ic=/setup/icon.png
fn=Bedroom TV
ca=4101
st=0
bs=FA8FCA898C16
nf=1
rs=
}]
```

#### Resolved service location

```
d7447a8f-40a0-d41c-5a12-9bb8d9d4fa9c.local:8009
http://192.168.1.165:8009
```

#### Related / Misc

 - [https://blog.oakbits.com/google-cast-protocol-overview.html](https://blog.oakbits.com/google-cast-protocol-overview.html)
 - [https://blog.oakbits.com/google-cast-protocol-discovery-and-connection.html](https://blog.oakbits.com/google-cast-protocol-discovery-and-connection.html)
 - [https://blog.oakbits.com/google-cast-protocol-receiver-authentication.html](https://blog.oakbits.com/google-cast-protocol-receiver-authentication.html)
